/* duart.c */
extern BYTE Duartroute;
extern void duart_int(void);
extern void DuartISR(const DEVICE *device);
extern BYTE InstallDUART(const DEVICE *device, WORD cfg, WORD base);
extern void ShutdownDUART(const DEVICE *dev);
extern void RestoreDUART(const DEVICE *dev);
extern BYTE ConfigureDUARTChA(const DEVICE *device, BYTE txBaud, BYTE rxBaud, BYTE data, BYTE stop, BYTE parity, BYTE txhs, BYTE rxhs);
extern BYTE TxDUARTChA(const DEVICE *dev, BYTE ch);
extern WORD RxDUARTChA(const DEVICE *dev);
extern BYTE TxAEmpty(const DEVICE *dev);
extern BYTE RxAEmpty(const DEVICE *dev);
extern void ClearTxA(const DEVICE *dev);
extern void ClearRxA(const DEVICE *dev);
extern BYTE ConfigureDUARTChB(const DEVICE *device, BYTE txBaud, BYTE rxBaud, BYTE data, BYTE stop, BYTE parity, BYTE txhs, BYTE rxhs);
extern BYTE TxDUARTChB(const DEVICE *dev, char ch);
extern WORD RxDUARTChB(const DEVICE *dev);
extern BYTE TxBEmpty(const DEVICE *dev);
extern BYTE RxBEmpty(const DEVICE *dev);
extern void ClearTxB(const DEVICE *dev);
extern void ClearRxB(const DEVICE *dev);
extern void SetUARTRouting(const DEVICE *dev, BYTE channel, BYTE route);
